{ buildApp, nextcloudVersion }:
let
  otherConfig = {
    mimetypealiases = {
      "application/x-drawio" = "drawio";
    };
    mimetypemapping = {
      "drawio" = ["application/x-drawio"];
    };
  };
  drawio_2_1_2 = buildApp rec {
    appName = "drawio";
    version = "2.1.2";
    url = "https://github.com/jgraph/drawio-nextcloud/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-5BrEnS2cMk/vwkAr1lXKtfocqReZAj1+pbDqmi/uG0A=";
    inherit otherConfig;
  };
  versions = {
    "25" = drawio_2_1_2;
    "26" = drawio_2_1_2;
    "27" = drawio_2_1_2;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app drawio")
