{ buildApp, nextcloudVersion }:
let
  otherConfig = {
    mimetypealiases = {
      "application/gpx+xml" = "gpx";
    };
    mimetypemapping = {
      "gpx" = ["application/gpx+xml"];
    };
  };
  gpxpod_5_0_10 = buildApp rec {
    appName = "gpxpod";
    version = "5.0.10";
    url = "https://github.com/julien-nc/gpxpod/releases/download/v${version}/${appName}-${version}.tar.gz";
    sha256 = "sha256-Ylhl9jdOxG+Qfk5zgNO8FwOtAzrjGHS66y59qmorXPU=";
    inherit otherConfig;
  };
  gpxpod_5_0_12 = buildApp rec {
    appName = "gpxpod";
    version = "5.0.12";
    url = "https://github.com/julien-nc/gpxpod/releases/download/v${version}/${appName}-${version}.tar.gz";
    sha256 = "sha256-uhz6AC8opDQkFQDpG4u8H4vkFtzbFAZvb8r32QHj/8I=";
    inherit otherConfig;
  };
  versions = {
    "25" = gpxpod_5_0_10;
    "26" = gpxpod_5_0_12;
    "27" = gpxpod_5_0_12;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app gpxpod")
