{ buildApp, nextcloudVersion }:
let
  groupfolders_13_1_5 = buildApp rec {
    appName = "groupfolders";
    version = "13.1.5";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-1yf/uSN8TRsYvK3m2pxGaXo9xxHNrI/NjyWJ8rLPQfg=";
  };
  groupfolders_14_0_4 = buildApp rec {
    appName = "groupfolders";
    version = "14.0.4";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-QzlD8dLI6T7Sex75ZsO2F40nTrg2Ig6tHTG8cslnNME=";
  };
  groupfolders_15_0_2 = buildApp rec {
    appName = "groupfolders";
    version = "15.0.2";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-NsTZhmY1XBKHn/1IcIp2Al7BwJzE2xoBzgyBXnmuWls=";
  };
  versions = {
    "25" = groupfolders_13_1_5;
    "26" = groupfolders_14_0_4;
    "27" = groupfolders_15_0_2;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app groupfolders")
