{ buildApp, nextcloudVersion }:
let
  keeweb_0_6_13 = buildApp rec {
    appName = "keeweb";
    version = "0.6.13";
    url = "https://github.com/jhass/nextcloud-keeweb/releases/download/v${version}/${appName}-${version}.tar.gz";
    sha256 = "sha256-J9jFVXpmoeAjDI/crsXHVJvPvxCYaimWVuq473nLsNM=";
    installPhase = ''
      mkdir -p $out
      cp -R . $out/
      '';
    otherConfig = {
      mimetypemapping = {
        "kdbx" = ["application/x-kdbx"];
      };
    };
  };
  versions = {
    "25" = keeweb_0_6_13;
    "26" = keeweb_0_6_13;
    "27" = keeweb_0_6_13;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app keeweb")
