{ buildApp, nextcloudVersion }:
let
  onlyoffice_7_9_0 = buildApp rec {
    appName = "onlyoffice";
    version = "7.9.0";
    url = "https://github.com/ONLYOFFICE/onlyoffice-nextcloud/releases/download/v${version}/${appName}.tar.gz";
    sha256 = "sha256-GN0edA/aVdOEDR0LF6PgG2vTcULaG9RMj2gIAoxSVAM=";
  };
  onlyoffice_8_2_0 = buildApp rec {
    appName = "onlyoffice";
    version = "8.2.0";
    url = "https://github.com/ONLYOFFICE/onlyoffice-nextcloud/releases/download/v${version}/${appName}.tar.gz";
    sha256 = "sha256-DfZKgpkpcogy9I3A3ru0V/WR5wYWBr+wrHe+mQJBPYk=";
  };
  versions = {
    "25" = onlyoffice_7_9_0;
    "26" = onlyoffice_7_9_0;
    "27" = onlyoffice_8_2_0;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app onlyoffice")
