{ buildApp, nextcloudVersion }:
let
  spreed_15_0_7 = buildApp rec {
    appName = "spreed";
    version = "15.0.7";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-J9udO7qlRL+TDwTPTbBpYeZLUi4oco42LoqYoHJbIyE=";
  };
  spreed_16_0_5 = buildApp rec {
    appName = "spreed";
    version = "16.0.5";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-tTDnWqNkP6fMSdCP1c0vPh8f0K7sTFBvRwws5Gln9Mg=";
  };
  spreed_17_0_3 = buildApp rec {
    appName = "spreed";
    version = "17.0.3";
    url = "https://github.com/nextcloud-releases/${appName}/releases/download/v${version}/${appName}-v${version}.tar.gz";
    sha256 = "sha256-vb08DI+q+5f87zz2UguE1y6b0NV2EoICYpaKUGmyF5w=";
  };
  versions = {
    "25" = spreed_15_0_7;
    "26" = spreed_16_0_5;
    "27" = spreed_17_0_3;
  };
in
  versions."${builtins.toString nextcloudVersion}" or (throw "Unsupported version for nextcloud app spreed")
